<big>Encaissement rapide</big><BR />
<?php
  switch($Etape)
  {
    case 0:
      echo "<form name='info'>";
      echo "No commande<input type='text' name='NoCommande' value=''><br>";
      echo "<script language=JavaScript>\n";
      echo "this.document.forms['info'].elements[0].focus();\n";
      echo "</script>\n";
      echo "<input type='hidden' name='Type' value=$Type>";
      echo "<input type='hidden' name='Sous_Type' value=$Sous_Type>";
      echo "<input type='hidden' name='Etape' value='1'>";
      echo "<button type='button' onClick='submit_ok(this.form);'>Suite</button>";
      echo "</form>";
    break;
    case 1:
      $ligne=Commande::getCommandeByNoCommande($NoCommande);
      switch($ligne["Type"])
      {
        case "AM":
        case "RV":
        case "ND":
        case "NB":
        case "NV":
        case "NO":
        case "NL":
          Valide_Encaissement($NoCommande,1);
          Gestion_Encaissement($NoCommande,1);
        break;
        case "FD":
        case "FB":
        case "FV":
        case "FO":
        case "FL":
        case "GF":
          Valide_Encaissement($NoCommande);
          Gestion_Encaissement($NoCommande);
        break;
        default:
          echo "Pas d'encaissement pour ce type de commande<BR>";
        break;
      }
    break;
  }
?>
